View Issue Details

IDProjectCategoryView StatusLast Update
0001307XdebugUsage problems (Wrong Results)public2017-01-03 18:55
ReporterdenixportAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
PlatformWindows 10 64bitOSWindowsOS Version10
Product Version2.4.0 
Target VersionFixed in Version 
Summary0001307: Incorrect PHP_INT_MAX/MIN info with xdebug.overload_var_dump enabled
Descriptionwith `xdebug.overload_var_dump` enabled, var_dump() shows incorrect info for PHP_INT_MAX/MIN constants
Steps To ReproduceTest script:
---------------
<?php

echo PHP_INT_MAX, PHP_EOL;
echo PHP_INT_MIN, PHP_EOL;

var_dump(PHP_INT_MAX);
var_dump(PHP_INT_MIN);

Expected result:
----------------
9223372036854775807
-9223372036854775808
int(9223372036854775807)
int(-9223372036854775808)

Actual result:
--------------
9223372036854775807
-9223372036854775808
int(-1)
int(0)
Additional Informationphp_xdebug-2.4.0-7.0-vc14-nts-x86_64.dll
TagsNo tags attached.
Operating System
PHP Version7.0.5-7.0.9

Activities

derick

2016-12-12 00:05

administrator   ~0004022

I think I fixed this in Xdebug 2.5.0. Can you please try that? I believe it's the same issue as 0001343.

derick

2017-01-03 18:55

administrator   ~0004138

This should have been fixed in 2.5.0.

Issue History

Date Modified Username Field Change
2016-05-29 20:33 denixport New Issue
2016-07-31 12:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 12:35 derick Category debugclient (debugging tool) => (No Category)
2016-12-12 00:05 derick Note Added: 0004022
2016-12-12 00:05 derick Category (No Category) => Usage problems (Wrong Results)
2016-12-12 00:07 derick Assigned To => derick
2016-12-12 00:07 derick Status new => feedback
2017-01-03 18:55 derick Note Added: 0004138
2017-01-03 18:55 derick Status feedback => resolved
2017-01-03 18:55 derick Resolution open => no change required